package models

type AllFields struct {
	CtxUserIP     string
	CtxUserPort   string
	KeyDomain     string
	KeyPath       string
	KeyOS         string
	KeyDevice     string
	KeyDeviceType string
	KeyBrowser    string
	CtxQuiz       string
	CtxReferrer   string
	CtxIDInt      int64
	CtxSession    string
	CtxQuizID     int64
	CtxQuestionID int64
}

type InfoQuizOpen struct { // при получении настроек квиза
	KeyOS         string
	KeyDevice     string
	KeyDeviceType string
	KeyBrowser    string // то самое, что получается из заголовков и складывается в модель ответа. на самом деле, ему место тут
	CtxQuiz       string // айдишник квиза, который qid
	CtxQuizID     int64  // айдишник квиза
	CtxReferrer   string // тоже из заголовков
	CtxIDInt      int64  // айдишник ответа
	CtxSession    string // сессия
}

type InfoAnswer struct { // при любом ответе на вопрос
	KeyOS         string
	KeyDevice     string
	KeyDeviceType string
	KeyBrowser    string // то самое, что получается из заголовков и складывается в модель ответа. на самом деле, ему место тут
	CtxQuiz       string // айдишник квиза, который qid
	CtxQuizID     int64  // айдишник квиза
	CtxReferrer   string // тоже из заголовков
	CtxQuestionID int64  // айдишник вопроса, на который отвечено
	CtxIDInt      int64  // айдишник ответа
	CtxSession    string // сессия
}

type InfoResult struct { // если ответ на вопрос с типом result
	KeyOS         string
	KeyDevice     string
	KeyDeviceType string
	KeyBrowser    string // то самое, что получается из заголовков и складывается в модель ответа. на самом деле, ему место тут
	CtxQuiz       string // айдишник квиза, который qid
	CtxQuizID     int64  // айдишник квиза
	CtxReferrer   string // тоже из заголовков
	CtxQuestionID int64  // айдишник вопроса, на который отвечено
	CtxIDInt      int64  // айдишник ответа
	CtxSession    string // сессия
}

// todo понять для чего это событие вроде как контакты приходят в ответахс с result = true там парситься контент с контактной информацией
type InfoContactForm struct { // если ответ на вопрос с типом result, без result == true (возможно перепутал с предыдущим. в этом ответе приходят контактные данные респондента)
	KeyOS         string
	KeyDevice     string
	KeyDeviceType string
	KeyBrowser    string // то самое, что получается из заголовков и складывается в модель ответа. на самом деле, ему место тут
	CtxQuiz       string // айдишник квиза, который qid
	CtxQuizID     int64  // айдишник квиза
	CtxReferrer   string // тоже из заголовков
	CtxQuestionID int64  // айдишник вопроса, на который отвечено
	CtxIDInt      int64  // айдишник ответа
	CtxSession    string // сессия
}
